System.Web 2.0.0.0 System.ComponentModel.TypeConverter

The class converts a string of comma-separated values to and from an array of strings. This class provides the and methods to perform the type conversions.

This type converter is used by design-time environments to provide values for display in the property grid control for a specified type.

You should never access a type converter directly. Instead, call the appropriate converter by using the class. For more information, see the examples in the base class.

Provides a type converter to convert a string of comma-separated values to and from an array of strings.

- Constructor

  You should never access a type converter directly. Instead, call the appropriate converter by using a object. For more information, see the examples in .

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Boolean `` ``

  The method determines whether the can convert the object specified by to an array of strings. Use this method prior to calling the method to perform the conversion.

  Determines whether the can convert the specified source type to an array of strings.

  true if the converter can perform the operation; otherwise, false.

  An object that provides a format context that can be used to extract additional information about the environment from which this converter is invoked. This parameter or properties of this parameter can be null. The to convert. 2.0.0.0
- Method
  System.Object `` `` ``

  The method parses an object that represents a comma-separated string into an array of strings. Prior to calling this method, you can call the method to determine whether the object specified by can be converted to an array of strings.

  To convert an array of strings into a comma-separated string, use the method.

  Converts the specified comma-separated string into an array of strings.

  An that represents the converted .

  An object that provides a format context that can be used to extract additional information about the environment from which this converter is invoked. This parameter or properties of this parameter can be null. A object. If null, the current culture is used. The to convert. 2.0.0.0
- Method
  System.Object `` `` `` ``

  The method converts an array of strings into a comma-separated string.

  To convert a comma-separated string into an array of strings, use the method.

  Converts an array of strings into a string of values separated by commas.

  An instance that represents the converted .

  An object that provides a format context that can be used to extract additional information about the environment from which this converter is invoked. This parameter or properties of this parameter can be null. A object. If null, the current culture is used. The to convert. The to convert to. 2.0.0.0